<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_binary_op_properties_light.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BinaryOpPropertiesLight Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#ab656c923dd5ef79a507a431dcbdfd7e8">hasGlobalLHS</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#ac428b347b87013e52c90a7b1f521523d">isAdditiveOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a65761439cc21f9ad0e5469eb99da4163">isAssignmentOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#ac549dc09a6842e386462e40cfd52de98">isBitwiseOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#ae822e5b9b76b7290a7e1449834bd24d7">isComparisonOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a36385bff7f15390bd5c82fc4e352c30d">isCompoundAssignmentOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a507f4b5803cbb92138c5d95f1ba81ea4">isEqualityOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a422e47b47e9a13c26fbaca6cd10700bd">isLogicalOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#ab2183b5d8256702b252e57648706d4d5">isMultiplicativeOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a50ffad8a494777b34dc6ef0008dbf913">isPtrMemOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a979c782cf48372975093454f15e2cbd0">isRelationalOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a93e703b37f9889509bab1b1a2d5ba813">isShiftAssignOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a59e7ea1e0bb4b7445d259f06e3d421fa">isShiftOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a79e9ad2e4acb648da16d19f39c337cb0">LHSPosition</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#a20497c8d158e74c2520f0b30d0bb681c">noOfGlobalRHS</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#acba4d519d706e67cbe644f7b8e4cae6b">noOfLocalRHS</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#ad719d6ac3b0cc0a91c27ea42b451f5e3">opcode</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties_light.html#ada711d8752932835cc2ac049b556ca86">RHSPosition</a></td><td class="entry"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
